package entity

import "time"

type SecBrief struct {
	SectionBriefID int       `gorm:"column:section_brief_id;primary_key;AUTO_INCREMENT"` // brief的Id
	FileUrl        string    `gorm:"column:file_url"`                                    // 文件url
	FileUid        string    `gorm:"column:file_uid"`                                    // 文件uid
	SelectionID    string    `gorm:"column:selection_id"`                                // 所属选品id
	CreatedAt      time.Time `gorm:"column:created_at"`                                  // 创建时间
	FileName       string    `gorm:"column:file_name"`                                   // 文件名称
	Type           int64     `gorm:"column:type"`                                        // 手卡类型（1图片 2文档）
}

func (m *SecBrief) TableName() string {
	return "younggee_sec_brief"
}
