package entity

import "time"

type SecMaterial struct {
	MaterialID  int       `gorm:"column:material_id;primary_key;AUTO_INCREMENT"` // 带货任务素材id
	FileUrl     string    `gorm:"column:file_url"`                               // 文件url
	FileUid     string    `gorm:"column:file_uid"`                               // 文件uid
	SelectionID string    `gorm:"column:selection_id"`                           // 所属项目id
	CreatedAt   time.Time `gorm:"column:created_at"`                             // 创建时间
	FileName    string    `gorm:"column:file_name"`                              // 文件名称
	Type        int64     `gorm:"column:type"`                                   // 素材类型（1图片 2视频）
}

func (m *SecMaterial) TableName() string {
	return "younggee_sec_material"
}
