package vo

type BillSelectionSearchParam struct {
	EnterpriseId string `json:"enterprise_id"` // 企业id
	SubAccountId int64  `json:"sub_account_id"`
	Platform     int64  `json:"platform"`    // 0全部 1-7分别代表小红书、抖音、微博、快手、b站、大众点评、知乎
	BillStatus   string `json:"bill_status"` // 项目状态，0全部 1待支付-4 2执行中-6 3已结案-8
	Page         int    `json:"page"`
	PageSize     int    `json:"page_size"`
}
