package db

import (
	"context"
	"youngee_m_api/model/gorm_model"
	"youngee_m_api/model/http_model"
)

func SetServeratio(ctx context.Context, req *http_model.SetServeratioRequest) error {
	db := GetReadDB(ctx)
	serve_ratio := gorm_model.YounggeeServeRatio{Ratio: req.Ratio}
	if err := db.Create(&serve_ratio).Error; err != nil {
		return err
	}
	return nil
}

func GetServeratio(ctx context.Context, req *http_model.GetServeratioRequest) (*http_model.GetServeratioResponse, error) {
	db := GetReadDB(ctx)
	var serve_ratio gorm_model.YounggeeServeRatio
	err := db.First(&serve_ratio).Error
	if err != nil {
		return nil, err
	}
	return &http_model.GetServeratioResponse{Ratio: serve_ratio.Ratio}, nil
}
