package http_model

type GetTakegoodsDataRequest struct {
	EnterpriseId string `json:"enterprise_id"`
	DateRange    string `json:"days"`
}

type TakegoodsData struct {
	Pay                float64   `json:"pay"`
	PayList            []float64 `json:"pay_list"`
	Finish             float64   `json:"finish"`
	FinishList         []float64 `json:"finish_list"`
	Commission         float64   `json:"commission"`
	CommissionList     []float64 `json:"commission_list"`
	Order              int64     `json:"order"`
	OrderList          []int64   `json:"order_list"`
	Person             int64     `json:"person"`
	PersonList         []int64   `json:"person_list"`
	CommissionRate     float64   `json:"commissionRate"`
	CommissionRateList []float64 `json:"commissionRate_list"`
}

func NewGetTakegoodsDataRequest() *GetTakegoodsDataRequest { return new(GetTakegoodsDataRequest) }
func NewGetTakegoodsDataReponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(TakegoodsData)
	return resp
}
