package http_model

type LocalTasksketchlistRequest struct {
	PageSize     int      `json:"page_size"`
	PageNum      int      `json:"page"`
	ProjectId    string   `json:"project_id"`    // 项目ID
	ScriptStatus int      `json:"script_status"` // 稿件状态
	SortField    []string `json:"sort_field,omitempty"`
	SortOrder    []string `json:"sort_order,omitempty"`
	Others       string   `json:"others,omitempty"`
}

type GetsketchlocaltaskListData struct {
	LocalTasksketchList []*LocalTasksketchinfo `json:"task_list"`
	Total               string                 `json:"total"`
}

type LocalTasksketchinfo struct {
	Task       *LocaLTaskInfo `json:"task_info"`
	SubmitAt   string         `json:"submit_at"` // 提交时间
	AgreeAt    string         `json:"agree_at"`
	Operator   string         `json:"operator"`
	SketchId   int            `json:"sketch_id"` //初稿ID
	SketchType int            `json:"sketch_type"`
}

func NewLocalTasksketchlistRequest() *LocalTasksketchlistRequest {
	return new(LocalTasksketchlistRequest)
}

func NewLocalTasksketchlistResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(GetsketchlocaltaskListData)
	return resp
}
