package http_model

type UserInfoRequest struct {
	Token string
}

type UserInfoResponse struct {
	User                 string
	Username             string
	Role                 string
	JobName              string `json:"job_name"`
	AccountId            int64  `json:"account_id"`
	SubAccountId         int    `json:"sub_account_id"`
	WorkspacePermission  string `json:"workspace_permission"`
	TaskcenterPermission string `json:"taskcenter_permission"`
	SectaskPermission    string `json:"sectask_permission"`
	FinancialPermission  string `json:"financial_permission"`
	UsercenterPermission string `json:"usercenter_permission"`
	OperatePermission    string `json:"operate_permission"`
}

func NewUserInfoRequest() *UserInfoRequest {
	return new(UserInfoRequest)
}

func NewUserInfoResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(UserInfoResponse)
	return resp
}
