package vo

type LocalUpdateParam struct {
	//EnterpriseId      string  `json:"enterprise_id"`
	//SubAccountId      int64   `json:"sub_account_id"`
	LocalID           string  `json:"local_id"`
	StoreId           int64   `json:"store_id"`
	TeamBuyingId      int64   `json:"team_buying_id"`
	ServiceChargeRate float64 `json:"service_charge_rate"`
	PromoteBody       int64   `json:"promote_body"` // 推广主体（1门店 2团购）
	//LocalType         int64                        `json:"local_type"`        // 项目类型，1代表全流程项目，2代表专项项目
	Donate int64 `json:"donate"` // 赠送达人套餐（1有赠送 2无赠送）
	//LocalStatus      int64                        `json:"local_status"`      // 项目状态，1-10分别代表创建中、待审核、审核通过、招募中、招募完毕、待支付、已支付、执行中、失效、已结案
	LocalName        string                       `json:"local_name"`        // 项目名称（任务标题）
	TalentType       string                       `json:"talent_type"`       // 达人类型（,分隔）
	RecruitDdl       string                       `json:"recruit_ddl"`       // 招募截止时间
	RecruitStrategys []CreateLocalRecruitStrategy `json:"recruit_strategys"` // 招募策略

	TaskForm      int64                `json:"task_form"`    // 项目形式，1-2分别代表线下探店,素材分发
	ContentType   int64                `json:"content_type"` // 内容形式，1代表图文，2代表视频
	TaskDetail    string               `json:"task_detail"`  // 项目详情
	Tools         string               `json:"tools"`        // 工具选择 1邀约招募 2结算账单 3样品物流 4审稿工具 5作品审查 6数据巡检（,分隔）
	LocalBrief    []*LocalBriefInfo    `json:"local_brief"`
	LocalMaterial []*LocalMaterialInfo `json:"local_material"`
}
