package vo

type ProjectSearchParam struct {
	//EnterpriseId    string `json:"enterprise_id"`
	//SubAccountId    int64  `json:"sub_account_id"`
	Page            int   `json:"page"`
	PageSize        int   `json:"page_size"`
	ProjectType     int64 `json:"project_type"` // 项目类型，1全流程项目，2专项项目
	ProjectPlatform int64 `json:"project_platform"`
	ProjectStatus   int64 `json:"project_status"` // 任务状态，1-10分别代表创建中、待审核、审核通过、招募中、招募完毕、待支付、已支付、执行中、失效、已结案
	ProjectForm     int64 `json:"project_form"`   // 任务形式，1-5代表商品寄拍、素材分发、虚拟产品测评、线下探店打卡、素材微原创
	ContentType     int64 `json:"content_type"`   // 内容形式, 1图文 2视频
	Order           int64 `json:"order"`          // 排序 0降序 1升序（默认0）

	ProjectId string `json:"project_id"` // 任务ID
	Others    string `json:"others"`     // 任务标题/任务ID/创建者
}
