package gorm_model

type EnterpriseTalentCooperate struct {
	CooperateId   int    `gorm:"column:cooperate_id;type:int(11);primary_key;AUTO_INCREMENT;comment:主键ID" json:"cooperate_id"`
	EnterpriseId  string `gorm:"column:enterprise_id;type:varchar(255);comment:商家ID" json:"enterprise_id"`
	TalentId      string `gorm:"column:talent_id;type:varchar(255);comment:达人ID" json:"talent_id"`
	SupplierId    int    `gorm:"column:supplier_id;type:int(11);comment:服务商ID" json:"supplier_id"`
	TalentOrigin  int    `gorm:"column:talent_origin;type:int(11);comment:达人来源，1公海，2服务商" json:"talent_origin"`
	CooperateType int    `gorm:"column:cooperate_type;type:int(11);comment:合作关系类型，1带货达人，2种草达人，3本地生活达人" json:"cooperate_type"`
	CooperateNum  int    `gorm:"column:cooperate_num;type:int(11);comment:累计合作次数" json:"cooperate_num"`
}

func (m *EnterpriseTalentCooperate) TableName() string {
	return "enterprise_talent_cooperate"
}
