package http_model

type GetSupplierInvoiceValueRequest struct {
	Status int `json:"status"`
}

type SupplierInvoiceValue struct {
	InvoiceValue float64 `json:"invoice_value"`
}

func NewGetSupplierInvoiceValueRequest() *GetSupplierInvoiceValueRequest {
	return new(GetSupplierInvoiceValueRequest)
}

func NewGetSupplierInvoiceValueResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(InvoiceValue)
	return resp
}
